> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate vulnerability monitoring for a vulnerability

> Deactivate monitoring for select vulnerabilities.
Vanta will not monitor a deactivated vulnerability until it is reactivated.



## OpenAPI

````yaml /reference/manage-vanta.json post /vulnerabilities/deactivate
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /vulnerabilities/deactivate:
    post:
      tags:
        - Vulnerabilities
      summary: Deactivate vulnerability monitoring for a vulnerability
      description: >-
        Deactivate monitoring for select vulnerabilities.

        Vanta will not monitor a deactivated vulnerability until it is
        reactivated.
      operationId: DeactivateVulnerabilities
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                updates:
                  items:
                    $ref: '#/components/schemas/VulnerabilityDeactivateRequest'
                  type: array
                  description: List of vulnerabilities to deactivate
                  minItems: 1
                  maxItems: 50
              required:
                - updates
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkResponse'
              examples:
                Example 1:
                  value:
                    results:
                      - id: a2f7e1b9d0c3f4e5a6c7b8d9
                        status: SUCCESS
                      - id: OTHER_VULNERABILITY_ID
                        status: ERROR
                        message: Invalid Input
      security:
        - bearerAuth: []
components:
  schemas:
    VulnerabilityDeactivateRequest:
      properties:
        id:
          type: string
          description: ID of the vulnerability to deactivate.
        deactivateUntilDate:
          type: string
          format: date-time
          description: Date until which the vulnerability should be deactivated.
        deactivateReason:
          type: string
          description: Reason for deactivating the vulnerability.
          minLength: 1
        shouldReactivateWhenFixable:
          type: boolean
          description: >-
            Determines whether or not vulnerabilities should reactivate when
            they become fixable.
      required:
        - id
        - deactivateReason
        - shouldReactivateWhenFixable
      type: object
      additionalProperties: false
    BulkResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/UpdateResponse'
          type: array
          description: List of results matching the length and order of the request
      required:
        - results
      type: object
      additionalProperties: false
    UpdateResponse:
      anyOf:
        - $ref: '#/components/schemas/SuccessResponse'
        - $ref: '#/components/schemas/NonSuccessResponse'
    SuccessResponse:
      properties:
        id:
          type: string
          description: Id of the record
        status:
          $ref: '#/components/schemas/ResultLineStatus.SUCCESS'
          description: Status of the requested update
      required:
        - id
        - status
      type: object
      additionalProperties: false
    NonSuccessResponse:
      properties:
        id:
          type: string
          description: Id of the record
        status:
          $ref: '#/components/schemas/Exclude_ResultLineStatus.SUCCESS_'
          description: Status of the requested update
        message:
          type: string
          description: Message an error message
      required:
        - id
        - status
        - message
      type: object
      additionalProperties: false
    ResultLineStatus.SUCCESS:
      enum:
        - SUCCESS
      type: string
    Exclude_ResultLineStatus.SUCCESS_:
      $ref: '#/components/schemas/ResultLineStatus.ERROR'
      description: Exclude from T those types that are assignable to U
    ResultLineStatus.ERROR:
      enum:
        - ERROR
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````